## ros-humble-flexbe-behavior-engine 2.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(flexbe_behavior_engine)

find_package(ament_cmake REQUIRED)

ament_package()

=== debian/changelog ===
ros-humble-flexbe-behavior-engine (2.3.3-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 09 Aug 2023 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.2-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 01 Aug 2023 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.1-1jammy) jammy; urgency=high

  * Update flexbe_ci.yml for mailto:actions/checkout@v3

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.0-1jammy) jammy; urgency=high

  * update CMakeLists cmake_minimum_version
  * Updates to dependencies for ROS build farm

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 20 Jul 2023 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.2.0-1jammy) jammy; urgency=high

  * [flexbe_core, flexbe_onboard, flexbe_mirror, flexbe_widget]
    - Use behavior_key and behavior_id for consistency
    - rework mirror and be_launcher to prevent deadlocks
    - add heartbeat messages to mirror and launcher
    - pep257 and flake8 cleanup
  * [flexbe_msgs] Add comments and modify BehaviorSelection message to use
    behavior_key and behavior_id for consistency with other messages
  * update README links; tweak LICENSE and package info
  * Modify shutdown handling for clean stop
  * Modify wait() handling to avoid creating a rate object

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 29 Jun 2023 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.1.0-1jammy) jammy; urgency=high

  * ROS 2 Humble release
  * Includes changes sync check handling
  * Add formatted traceback to local log for behavior errors
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 02 Aug 2022 04:00:00 -0000

ros-humble-flexbe-behavior-engine (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 22 Feb 2022 05:00:00 -0000

ros-humble-flexbe-behavior-engine (1.3.1-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 11 Dec 2020 05:00:00 -0000

ros-humble-flexbe-behavior-engine (1.3.0-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 19 Nov 2020 05:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.5-1jammy) jammy; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 14 Jun 2020 04:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.4-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 25 Mar 2020 04:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.3-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 10 Jan 2020 05:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.2-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 16 Sep 2019 04:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.1-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 02 Jun 2019 04:00:00 -0000

ros-humble-flexbe-behavior-engine (1.1.2-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 09 Apr 2019 04:00:00 -0000

ros-humble-flexbe-behavior-engine (1.1.1-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 18 Dec 2018 05:00:00 -0000

ros-humble-flexbe-behavior-engine (1.1.0-1jammy) jammy; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge pull request #55 <https://github.com/team-vigir/flexbe_behavior_engine/issues/55> from alireza-hosseini/add-metapackage
    feat: Add flexbe_behavior_engine metapackage
  * feat: Add flexbe_behavior_engine metapackage
  * Contributors: Philipp Schillinger, alireza

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 01 Dec 2018 05:00:00 -0000

=== debian/control ===
Source: ros-humble-flexbe-behavior-engine
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <philsplus@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-flexbe-core, ros-humble-flexbe-input, ros-humble-flexbe-mirror, ros-humble-flexbe-msgs, ros-humble-flexbe-onboard, ros-humble-flexbe-states, ros-humble-flexbe-testing, ros-humble-flexbe-widget, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/flexbe
Standards-Version: 3.9.2

Package: ros-humble-flexbe-behavior-engine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-flexbe-core, ros-humble-flexbe-input, ros-humble-flexbe-mirror, ros-humble-flexbe-msgs, ros-humble-flexbe-onboard, ros-humble-flexbe-states, ros-humble-flexbe-testing, ros-humble-flexbe-widget, ros-humble-ros-workspace
Description: A meta-package to aggregate all the FlexBE packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flexbe-behavior-engine//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-flexbe-behavior-engine 2.3.5

=== debian/changelog ===
ros-humble-flexbe-behavior-engine (2.3.5-1bookworm) bookworm; urgency=high

  * update change log

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 30 May 2024 16:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.4-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.3-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 08 Aug 2023 16:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.2-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.1-1bookworm) bookworm; urgency=high

  * Update flexbe_ci.yml for mailto:actions/checkout@v3

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-flexbe-behavior-engine (2.3.0-1bookworm) bookworm; urgency=high

  * update CMakeLists cmake_minimum_version
  * Updates to dependencies for ROS build farm

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 19 Jul 2023 16:00:00 -0000

ros-humble-flexbe-behavior-engine (2.2.0-1bookworm) bookworm; urgency=high

  * [flexbe_core, flexbe_onboard, flexbe_mirror, flexbe_widget]
    - Use behavior_key and behavior_id for consistency
    - rework mirror and be_launcher to prevent deadlocks
    - add heartbeat messages to mirror and launcher
    - pep257 and flake8 cleanup
  * [flexbe_msgs] Add comments and modify BehaviorSelection message to use
    behavior_key and behavior_id for consistency with other messages
  * update README links; tweak LICENSE and package info
  * Modify shutdown handling for clean stop
  * Modify wait() handling to avoid creating a rate object

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-humble-flexbe-behavior-engine (2.1.0-1bookworm) bookworm; urgency=high

  * ROS 2 Humble release
  * Includes changes sync check handling
  * Add formatted traceback to local log for behavior errors
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 01 Aug 2022 16:00:00 -0000

ros-humble-flexbe-behavior-engine (2.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 21 Feb 2022 16:00:00 -0000

ros-humble-flexbe-behavior-engine (1.3.1-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 10 Dec 2020 16:00:00 -0000

ros-humble-flexbe-behavior-engine (1.3.0-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 18 Nov 2020 16:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.5-1bookworm) bookworm; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 13 Jun 2020 16:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.4-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 24 Mar 2020 16:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.3-1bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 09 Jan 2020 16:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.2-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 15 Sep 2019 16:00:00 -0000

ros-humble-flexbe-behavior-engine (1.2.1-1bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 01 Jun 2019 16:00:00 -0000

ros-humble-flexbe-behavior-engine (1.1.2-1bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 08 Apr 2019 16:00:00 -0000

ros-humble-flexbe-behavior-engine (1.1.1-1bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 17 Dec 2018 16:00:00 -0000

ros-humble-flexbe-behavior-engine (1.1.0-1bookworm) bookworm; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge pull request #55 <https://github.com/team-vigir/flexbe_behavior_engine/issues/55> from alireza-hosseini/add-metapackage
    feat: Add flexbe_behavior_engine metapackage
  * feat: Add flexbe_behavior_engine metapackage
  * Contributors: Philipp Schillinger, alireza

 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 30 Nov 2018 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flexbe-behavior-engine//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flexbe-behavior-engine//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-flexbe-behavior-engine//opt/ros/humble/opt/flexbe_behavior_engine/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
